Create unit
https://api.propexo.com/v1/units/Create a unit for a property.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease period
The number of bathrooms in the unit.
The number of bedrooms in the unit.
The city of the unit.
The country of the unit.
The date that the unit becomes available
Whether the unit is furnished
The unit number
The size of the unit in square feet.
The state of the unit.
The first address line associated with the unit
The second address line associated with the unit
The zip code of the unit.
The external ID of the floor plan
The external ID of the unit type
The category of the unit.
Show 2 enum values
ResidentialCommercialThe type of the unit.
Show 2 enum values
ApartmentHouseThe name of the unit. Example: "Unit 3".
The abbreviation of the unit. Example: "UNIT3"
The first address line of the unit.
The second address line of the unit.
Notes about the unit.
The market rent cost of the unit, in cents.
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/units/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"property_id": "string",
"intgration_id": "string"
}'
{
"job_id": "string",
"data": {}
}